Subject: RE: [Enum] Fwd: [Sipping] RFC 3824 on Using E.164 numbers with th e Session Initiation Protocol (SIP)

From: "Peterson, Jon" <[email-masked]>
Date: Thu, 01 Jul 2004 18:24:19 -0400

Your characterization that this document "only talks about the old/obsolete
stuff" is not borne out by the text. Material relating to backwards
compatibility with RFC2916 is relegated to a single section; RFC3761 forms
the basis of the meat of the document. You do however correctly point out
that many of the temporal words in the document (like the "shortly" below)
were timely when written but are grossly outdated today.

Implementation and deployment experience will no doubt determine whether the
backwards-compatibility text is necessary or superfluous - I would be happy
to learn that it is never exercised. That the text could cause any real harm
to deployments seems very counterintuitive to me. 

Finally, in deference to Mr. Stasny, I must insist that a call for
backwards-compatibility is not solely the prerogative of Olympians.

Jon Peterson
NeuStar, Inc.

> -----Original Message-----
> From: Conroy, Lawrence (SMTP) [mailto:lwc at roke.co.uk]
> Sent: Thursday, July 01, 2004 3:07 AM
> To: Richard Shockey
> Cc: enum at ietf.org
> Subject: Re: [Enum] Fwd: [Sipping] RFC 3824 on Using E.164 
> numbers with
> the Session Initiation Protocol (SIP)
> 
> 
> Hi Richard, folks,
> 
> I quote from RFC3824 of June 2004:
>     Note that the ENUM specification has undergone a revision shortly
>     before the publication of this document, driven by the 
> update of the
>     NAPTR system described in RFC 2915 [12] to the Dynamic Delegation
>     Discovery System (DDDS) family of specifications (including RFC
>     3403).  This document therefore provides some guidance 
> for handling
>     records designed for the original RFC 2916 [16].
> 
> Super.
> We try to convince people to use 340x/3761, and this RFC talks only 
> about the old/obsolete stuff.
> 
> It's not like RFC3761 was issued in great haste or had late 
> changes to 
> the syntax or concept or anything (nor did RFC3764). As for 
> the update 
> from 2915 to 340x, that was hardly recent.
> 
> Coordination must be a great thing.
> 
> all the best,
>    Lawrence
> 
> On 30 Jun 2004, at 00:39, Richard Shockey wrote:
> > <FYI on 3824>
> >> To: ietf-announce at ietf.org
> >> From: rfc-editor at rfc-editor.org
> >> Date: Tue, 29 Jun 2004 16:24:46 -0700
> >> Cc: sipping at ietf.org, rfc-editor at rfc-editor.org
> >> Subject: [Sipping] RFC 3824 on Using E.164 numbers with the Session
> >>         Initiation Protocol (SIP)
> >>
> >> A new Request for Comments is now available in online RFC 
> libraries.
> >>
> >>         RFC 3824
> >>
> >>         Title:      Using E.164 numbers with the Session Initiation
> >>                     Protocol (SIP)
> >>         Author(s):  J. Peterson, H. Liu, J. Yu, B. Campbell
> >>         Status:     Informational
> >>         Date:       June 2004
> >>
> >> There are a number of contexts in which telephone numbers are
> >> employed by Session Initiation Protocol (SIP) applications, many of
> >> which can be addressed by ENUM.  Although SIP was one of 
> the primary
> >> applications for which ENUM was created, there is 
> nevertheless a need
> >> to define procedures for integrating ENUM with SIP
> >> implementations.  This document illustrates how the two protocols
> >> might work in concert, and clarifies the authoring and 
> processing of
> >> ENUM records for SIP applications.  It also provides guidelines for
> >> instances in which ENUM, for whatever reason, cannot be used to
> >> resolve a telephone number.
> >>
> >> This document is a product of the Session Initiation Proposal
> >> Investigation Working Group of the IETF.
> >>
> >> This memo provides information for the Internet community.  It does
> >> not specify an Internet standard of any kind.  Distribution of this
> >> memo is unlimited.
> >>
> 
> _______________________________________________
> enum mailing list
> enum at ietf.org
> https://www1.ietf.org/mailman/listinfo/enum
> 

_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum